ValidatorDistributionInfo
curl --request GET \
--url https://cosmos-rest.publicnode.com/cosmos/distribution/v1beta1/validators/{validatorAddress}import requests
url = "https://cosmos-rest.publicnode.com/cosmos/distribution/v1beta1/validators/{validatorAddress}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cosmos-rest.publicnode.com/cosmos/distribution/v1beta1/validators/{validatorAddress}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"operator_address": "<string>",
"self_bond_rewards": [
{
"denom": "<string>",
"amount": "<string>"
}
],
"commission": [
{
"denom": "<string>",
"amount": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}distribution
ValidatorDistributionInfo
gRPC: cosmos.distribution.v1beta1.Query/ValidatorDistributionInfo (reference)
ValidatorDistributionInfo queries validator commission and self-delegation rewards for validator
GET
/
cosmos
/
distribution
/
v1beta1
/
validators
/
{validatorAddress}
ValidatorDistributionInfo
Path Parameters
validator_address defines the validator address to query for.
Response
A successful response.
QueryValidatorDistributionInfoResponse is the response type for the Query/ValidatorDistributionInfo RPC method.
Was this page helpful?